Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
BedrockMission!

Learn more

View all

Sign in to view all badges

SOLVED

Need dependency jars in AEM 6.4.0 version

Heena91
Level 3
Level 3

Hi,

 

Need to download below jars. Please suggest some links where I can download these jar files:


org.apache.sling.api.resource,version=[2.11,3) -- Cannot be resolved
com.adobe.granite.ui.components,version=[1.19,2) -- Cannot be resolved
com.adobe.granite.ui.components.ds,version=[1.3,2) -- Cannot be resolved
com.adobe.granite.ui.components,version=[1.19,2) -- Cannot be resolved
com.adobe.granite.ui.components.ds,version=[1.3,2) -- Cannot be resolved
com.day.cq.search,version=[1.3,2) -- Cannot be resolved
com.fasterxml.jackson.core.type,version=[2.9,3) -- Cannot be resolved
org.apache.sling.spi.resource.provider,version=[1.2,2) -- Cannot be resolved

 

 

 

Thanks,

Heena

1 Accepted Solution
santhosh_kumark
Correct answer by
Community Advisor
Community Advisor
3 Replies
Arun_Patidar
Community Advisor
Community Advisor

Are you not able to find this jar in AEM 6.4?
can you check the dependency finder in aem to check the correct version and include those in POM.

Nikhil-Kumar
Community Advisor
Community Advisor

@Heena91 - 

You can get it from the depfinder : /system/console/depfinder.
If it's not available there then you can get it from the maven repo.
for example for the first dependency here is the link : https://mvnrepository.com/artifact/org.apache.sling/org.apache.sling.api/2.2.0

 

 

Thanks,
Nikhil

santhosh_kumark
Correct answer by
Community Advisor
Community Advisor